<?php

/**
 * What We Do Section
 *
 * @package burger_joint
 */

	$wp_customize->add_section(
		'burger_joint_about_section',
		array(
			'panel'    => 'burger_joint_front_page_options',
			'title'    => esc_html__( 'What We Do Section', 'burger-joint' ),
			'priority' => 10,
		)
	);

	// What We Do Section - Enable Section.
	$wp_customize->add_setting(
		'burger_joint_enable_about_section',
		array(
			'default'           => false,
			'sanitize_callback' => 'burger_joint_sanitize_switch',
		)
	);

	$wp_customize->add_control(
		new Burger_Joint_Toggle_Switch_Custom_Control(
			$wp_customize,
			'burger_joint_enable_about_section',
			array(
				'label'    => esc_html__( 'Enable What We Do Section', 'burger-joint' ),
				'section'  => 'burger_joint_about_section',
				'settings' => 'burger_joint_enable_about_section',
			)
		)
	);

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'burger_joint_enable_about_section',
			array(
				'selector' => '#burger_joint_about_section .section-link',
				'settings' => 'burger_joint_enable_about_section',
			)
		);
	}

	// What We Do Section - What We Do Heading.
	$wp_customize->add_setting(
		'burger_joint_about_us_left_heading_1',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_left_heading_1',
		array(
			'label'           => esc_html__( 'What We Do Heading 1', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_left_heading_1',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Content.
	$wp_customize->add_setting(
		'burger_joint_about_us_left_text_1',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_left_text_1',
		array(
			'label'           => esc_html__( 'What We Do Content 1', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_left_text_1',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Heading.
	$wp_customize->add_setting(
		'burger_joint_about_us_left_heading_2',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_left_heading_2',
		array(
			'label'           => esc_html__( 'What We Do Heading 2', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_left_heading_2',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Content.
	$wp_customize->add_setting(
		'burger_joint_about_us_left_text_2',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_left_text_2',
		array(
			'label'           => esc_html__( 'What We Do Content 2', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_left_text_2',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Heading.
	$wp_customize->add_setting(
		'burger_joint_about_us_left_heading_3',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_left_heading_3',
		array(
			'label'           => esc_html__( 'What We Do Heading 3', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_left_heading_3',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Content.
	$wp_customize->add_setting(
		'burger_joint_about_us_left_text_3',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_left_text_3',
		array(
			'label'           => esc_html__( 'What We Do Content 3', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_left_text_3',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// Image setting Center
	$wp_customize->add_setting('burger_joint_custom_image_setting_1', array(
	    'default'           => '',
	    'transport'         => 'refresh',
	    'sanitize_callback' => 'esc_url_raw', // Sanitization callback function
	));

	// Image control 1
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'custom_image_setting_control_1', array(
	    'label'    => __('Center Image', 'burger-joint'),
	    'section'  => 'burger_joint_about_section',
	    'settings' => 'burger_joint_custom_image_setting_1',
		'active_callback' => 'burger_joint_is_about_section_enabled',
	)));

	// What We Do Section - What We Do Heading.
	$wp_customize->add_setting(
		'burger_joint_about_us_right_heading_1',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_right_heading_1',
		array(
			'label'           => esc_html__( 'What We Do Heading 1', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_right_heading_1',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Content.
	$wp_customize->add_setting(
		'burger_joint_about_us_right_text_1',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_right_text_1',
		array(
			'label'           => esc_html__( 'What We Do Content 1', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_right_text_1',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Heading.
	$wp_customize->add_setting(
		'burger_joint_about_us_right_heading_2',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_right_heading_2',
		array(
			'label'           => esc_html__( 'What We Do Heading 2', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_right_heading_2',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Content.
	$wp_customize->add_setting(
		'burger_joint_about_us_right_text_2',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_right_text_2',
		array(
			'label'           => esc_html__( 'What We Do Content 2', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_right_text_2',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Heading.
	$wp_customize->add_setting(
		'burger_joint_about_us_right_heading_3',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_right_heading_3',
		array(
			'label'           => esc_html__( 'What We Do Heading 3', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_right_heading_3',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);

	// What We Do Section - What We Do Content.
	$wp_customize->add_setting(
		'burger_joint_about_us_right_text_3',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'burger_joint_about_us_right_text_3',
		array(
			'label'           => esc_html__( 'What We Do Content 3', 'burger-joint' ),
			'section'         => 'burger_joint_about_section',
			'settings'        => 'burger_joint_about_us_right_text_3',
			'type'            => 'text',
			'active_callback' => 'burger_joint_is_about_section_enabled',
		)
	);
